Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Mozilla Firefox 23 Installation

Help
Enzyme
2013-08-07
2013-12-03
  • Enzyme
    Enzyme
    2013-08-07

    Hey,

    before version 23 it was easy do deploy the firefox.exe to all clients. Since the new update i can't update silent and get the installation screen. Do you can confirm this behavior and do you have a solution maybe?

    Best regards

     
  • Bryan Dam
    Bryan Dam
    2013-08-07

    I don't have any experience with the EXE itself, I have always relied on FrontMotion's MSI packages to distribute FireFox.

     
  • Enzyme
    Enzyme
    2013-08-08

    I've chosen the wrong exe from the website. Everything is fine now, sorry :)

     
  • Francisco Leon
    Francisco Leon
    2013-09-06

    Can anyone teach me how to create the proper rules for firefox's EXE installer? I tried using the frontmotion MSI, but on half of the machines after installation firefox crashes so i want to use the exe with the -ms parameter.

     
  • Bryan Dam
    Bryan Dam
    2013-09-06

    If it were me, I would try and figure out what's going on with the FF crashes because using the MSIs is really that much easier.

    As for rules, there's no secret sauce per-se, but the most common sorts of rules are looking at file versions or version info from the registry. So the Installed rules would look for the file/reg version of the new release and the Installable rules could be left blank if the package can install on all machines in your organization.

     
  • Francisco Leon
    Francisco Leon
    2013-09-17

    there are lots of issues i encountered.
    Some machines installed OK.
    Some machines when you ran firefox wouldn't let you type on the url bar.
    Some machines had issues with the window decorations and would look really weird.
    Since the issue was on about 30 machines i had no option but to reinstall the standard firefox exe on top of the new one and everything worked again.

    We have a combination of winxp and win7 clients, most of them have an older version installed already, and i created the update strictly following the wiki guide on this site.

     
  • Bryan Dam
    Bryan Dam
    2013-12-03

    most of them have an older version installed already

    That's quite likely part of your problem. When starting out with LUP I suggest starting from a common baseline. As I rolled out the client config I removed existing apps and made sure the equivalent package was installed via WSUS.

     
    Last edit: Bryan Dam 2013-12-03